Package: org.codehaus.groovy.ast.stmt

## [Java] Class ExpressionStatement

- org.codehaus.groovy.ast.stmt.ExpressionStatement

-     public class ExpressionStatement
      extends Statement

  A simple statement such as a method call where the return value is ignored

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExpressionStatement (Expression expression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getExpression()`
    `` | `public String` | `getText()`
    `` | `public void` | `setExpression(Expression expression)`
    `` | `public String` | `toString()`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `execute, execute, execute, execute, close, cancel, getConnection, isClosed, setQueryTimeout, setFetchSize, getWarnings, getFetchSize, clearWarnings, getFetchDirection, setFetchDirection, getResultSet, getResultSetType, getGeneratedKeys, executeQuery, setCursorName, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getQueryTimeout, getMaxFieldSize, getUpdateCount, getMoreResults, getMoreResults, addBatch, clearBatch, setPoolable, getMaxRows, setMaxRows, executeBatch, setMaxFieldSize, setLargeMaxRows, isPoolable, closeOnCompletion, executeLargeBatch, enquoteLiteral, enquoteIdentifier, getLargeMaxRows, isSimpleIdentifier, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, getLargeUpdateCount, isCloseOnCompletion, enquoteNCharLiteral, setEscapeProcessing, getResultSetConcurrency, getResultSetHoldability, unwrap, isWrapperFor`

- - ### Constructor Detail

    - #### public ExpressionStatement(Expression expression)

  - ### Method Detail

    - #### public Expression getExpression()

    - #### public String getText()

    - #### public void setExpression(Expression expression)

    - #### public String toString()

    - #### public void visit(GroovyCodeVisitor visitor)